%define upstream_name    Catalyst-Plugin-FormValidator
%define upstream_version 0.094

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:	FormValidator for Catalyst
License:	Artistic/GPL
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	http://search.cpan.org/CPAN/authors/id/M/MR/MRAMBERG/%{upstream_name}-%{upstream_version}.tar.gz


BuildRequires:	perl(Catalyst) >= 2.99
BuildRequires:	perl(Data::FormValidator)
BuildArch:	noarch


%description
This plugin uses Data::FormValidator to validate and set up form data
from your request parameters. It's a quite thin wrapper around that
module, so most of the relevant information can be found there.


%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes README META.yml
%{_mandir}/*/*
%{perl_vendorlib}/Catalyst/*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.94.0-7.mga6
+ Revision: 1023323
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.94.0-6.mga6
+ Revision: 932208
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.94.0-5.mga5
+ Revision: 745152
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.94.0-3.mga4
+ Revision: 509860
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.94.0-2.mga3
+ Revision: 364033
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 jquelin <jquelin> 0.94.0-1.mga1
+ Revision: 40280
- mageia rebuild
- imported package perl-Catalyst-Plugin-FormValidator

